org.apache.ignite.internal.sql.command

## Class SqlStatisticsCommands

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlStatisticsCommands

All Implemented Interfaces:
  SqlCommand

Direct Known Subclasses:
  SqlAnalyzeCommand, SqlDropStatisticsCommand, SqlRefreshStatitsicsCommand

    public abstract class SqlStatisticsCommands
    extends Object
    implements SqlCommand

Base class for statistics related commands.

### Field Summary

Fields
`protected Collection<StatisticsTarget>` `targets` Targets to process.

### Constructor Summary

Constructors
Constructor and Description
`SqlStatisticsCommands()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlCommand` `parse(SqlLexer lex)` Parse command.
`protected String[]` `parseColumnList(SqlLexer lex, boolean allowParams)`
`String` `schemaName()`
`void` `schemaName(String schemaName)`
`Collection<StatisticsTarget>` `targets()`
`protected boolean` `tryEnd(SqlLexer lex)` Test if it is the end of command.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### targets

    protected Collection<StatisticsTarget> targets

Targets to process.

### Constructor Detail

#### SqlStatisticsCommands

    public SqlStatisticsCommands()

### Method Detail

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### targets

    public Collection<StatisticsTarget> targets()

Returns:
  Analyze targets.

#### parse

    public SqlCommand parse(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### tryEnd

    protected boolean tryEnd(SqlLexer lex)

Test if it is the end of command.

Parameters:
  `lex` - Sql lexer.
Returns:
  `true` if end of command found, `false` - otherwise.

#### parseColumnList

    protected String[] parseColumnList(SqlLexer lex,
                                       boolean allowParams)

Parameters:
  `lex` - Lexer.
  `allowParams` - If `true` - allow params instead columns list.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022